### Constructor

# Gio InetAddressMask new_from_string

since: 2.32

#### Declaration [src]

    GInetAddressMask*
    g_inet_address_mask_new_from_string (
      const gchar* mask_string,
      GError** error
    )

#### Description [src]

Parses `mask_string` as an IP address and (optional) length, and creates a new `GInetAddressMask`. The length, if present, is delimited by a “/”. If it is not present, then the length is assumed to be the full length of the address.

Available since: 2.32

#### Parameters

`mask_string`

  Type: `const gchar*`

  An IP address or address/length string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GInetAddressMask`

A new `GInetAddressMask` corresponding to `string`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.